commit:     47ca70d1fad5cfe5ad59c82c32b137d746425e4a
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Mon Apr  3 23:47:56 2023 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Mon Apr  3 23:47:56 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=47ca70d1

dev-util/difftastic: add 0.46.0

Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-util/difftastic/Manifest                 |   1 +
 dev-util/difftastic/difftastic-0.46.0.ebuild | 160 +++++++++++++++++++++++++++
 2 files changed, 161 insertions(+)

diff --git a/dev-util/difftastic/Manifest b/dev-util/difftastic/Manifest
index 5ea98411f91f..2e32d44f4c54 100644
--- a/dev-util/difftastic/Manifest
+++ b/dev-util/difftastic/Manifest
@@ -24,6 +24,7 @@ DIST diff-0.1.12.crate 10223 BLAKE2B 
369f305661f1da31207f3801ed1841dbce12451ac9c
 DIST difflib-0.4.0.crate 7638 BLAKE2B 
57c703de0d467c997bcbedc4d6577569b3d72c612d3ccd929025a98f4bf8f72f2a0d43f3cd3bc616676c2569aed176b3c1362cfa868a4bb1197e05fe4dbce32f
 SHA512 
fcb57859424fea6958a4407061c421599fbca111357b1fe72faa65d8fb0b74425c993a24484e8414f475fa146cd8368c4f82e1ceb4e8dd9f95741149345b37a9
 DIST difftastic-0.43.1.gh.tar.gz 50571590 BLAKE2B 
fa0531961f54b7713a2cd9cbde3ffe2d853350b5802d703dc9038a712c91c8981ac3010b328c70969c756c243418183c8600a9078a17cb1ebfedec3f853f12c3
 SHA512 
49a2836c17a45b008cced7734539cf058f8b4440e056d08d39ab0277ecdeeeb45e8f15d1df1a916ab72116160f7869102a31ba7af7f414cf7b9cbb898deca76d
 DIST difftastic-0.45.0.gh.tar.gz 52126132 BLAKE2B 
0c29300660c79a1c425f9bfacc66eba9f944ce883456f931bf9054ac49bf11c0c9db1a5f9652ea774e02d067c2209c91ffa1014f192a14a11ab18612c730f1cc
 SHA512 
80c157a7d00c2a91291f5ca3b66908f05a98780b455cc420ab9192d43526fb383eea8036a42ee8042eaef6d7cd6d72b0895d3d4d8c52f2c7a30fda43e8cccf19
+DIST difftastic-0.46.0.gh.tar.gz 54963804 BLAKE2B 
c1306629203a31a5c53327a3e00a123042c32aef1ec452fa5c8792ce6e5e4480e9f6be23edfcdf1eac74413f7fa564964bcad39b0f8505139c29c75eea2cffc2
 SHA512 
fb4ebe4d2c3f377e6fa4956cabf7520272c14e97f13799eef1f92ff22eef36baf6a7cbbede858bff2f9b89e087acd3137b3d3d65a4dda620e8e23bedf2685ce9
 DIST doc-comment-0.3.3.crate 4123 BLAKE2B 
a82d1c1a7a90af6e111b5e684a1298d7eac5fd8e4bf7d5baf6c7403d26b609958716d57e51122fe7ad7626fe00a2d824dcfef3cc2fd7679fdb7b5099603de1cd
 SHA512 
e98ff9646a3612bd41bb6f278e7b6e9a0c58747f8b82524da814cf51b7f06c76ad4d65b502ac5740e818744abb295f78f15f8262d0b50ced1523f6d1a26939ba
 DIST either-1.6.1.crate 13641 BLAKE2B 
e5f40c40a5edb6dcb07a10bf79183cbe42438f1f70f3932dce72f6f6e91f75f24d17d82bc447507def4dad4345ffc9dd9162dde778afb253bdb1218e91887949
 SHA512 
4bfe56920e30cbc8eb4f90162db618f7dca653b42db35ab6a7045d3fd9a24ceb1778b1f79613850bdb1a87ad3794fa0d73015e46c48d513f368d8c3776fc9ddf
 DIST env_logger-0.7.1.crate 32281 BLAKE2B 
6f1894c64f301ca4b687270c911dbe230f674662aa0561b97c4d2537886e404664b5773d4e223e2018047c222a951232c3cb52ec5bddbfb6665e34c3e7ea52f5
 SHA512 
604060d2ee83ab337a2d20d6784d1b7541534d2fd9e1662fc5c709fa681672a9db5e34d00face864b56ae321962e644ebe29fbb6d68a0d556419cf5d71c6149f

diff --git a/dev-util/difftastic/difftastic-0.46.0.ebuild 
b/dev-util/difftastic/difftastic-0.46.0.ebuild
new file mode 100644
index 000000000000..f3cf8d2881e8
--- /dev/null
+++ b/dev-util/difftastic/difftastic-0.46.0.ebuild
@@ -0,0 +1,160 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Auto-Generated by cargo-ebuild 0.5.4
+
+EAPI=8
+
+CRATES="
+       aho-corasick-0.7.18
+       ansi_term-0.12.1
+       assert_cmd-2.0.5
+       atty-0.2.14
+       autocfg-1.1.0
+       bitflags-1.3.2
+       bstr-0.2.17
+       bumpalo-3.11.1
+       bytecount-0.6.2
+       cc-1.0.78
+       cfg-if-1.0.0
+       clap-3.1.18
+       clap_lex-0.2.0
+       const_format-0.2.23
+       const_format_proc_macros-0.2.22
+       crossbeam-channel-0.5.4
+       crossbeam-deque-0.8.1
+       crossbeam-epoch-0.9.8
+       crossbeam-utils-0.8.8
+       crossterm-0.25.0
+       crossterm_winapi-0.9.0
+       ctor-0.1.22
+       diff-0.1.12
+       difflib-0.4.0
+       doc-comment-0.3.3
+       either-1.6.1
+       env_logger-0.7.1
+       fixedbitset-0.4.1
+       float-cmp-0.9.0
+       fnv-1.0.7
+       hashbrown-0.11.2
+       hermit-abi-0.1.19
+       humantime-1.3.0
+       indexmap-1.7.0
+       itertools-0.10.3
+       lazy_static-1.4.0
+       libc-0.2.139
+       libmimalloc-sys-0.1.24
+       lock_api-0.4.9
+       log-0.4.17
+       memchr-2.5.0
+       memoffset-0.6.5
+       mimalloc-0.1.28
+       minimal-lexical-0.2.1
+       mio-0.8.5
+       nom-7.1.1
+       normalize-line-endings-0.3.0
+       num-traits-0.2.15
+       num_cpus-1.13.1
+       once_cell-1.17.1
+       os_str_bytes-6.0.1
+       output_vt100-0.1.3
+       owo-colors-3.4.0
+       parking_lot-0.12.1
+       parking_lot_core-0.9.6
+       petgraph-0.6.1
+       predicates-2.1.1
+       predicates-core-1.0.3
+       predicates-tree-1.0.5
+       pretty_assertions-1.2.1
+       pretty_env_logger-0.4.0
+       proc-macro2-1.0.39
+       quick-error-1.2.3
+       quote-1.0.18
+       radix-heap-0.4.2
+       rayon-1.6.1
+       rayon-core-1.10.1
+       redox_syscall-0.2.16
+       regex-1.5.6
+       regex-automata-0.1.10
+       regex-syntax-0.6.26
+       rustc-hash-1.1.0
+       same-file-1.0.6
+       scopeguard-1.1.0
+       signal-hook-0.3.14
+       signal-hook-mio-0.2.3
+       signal-hook-registry-1.4.0
+       smallvec-1.10.0
+       strsim-0.10.0
+       syn-1.0.95
+       termcolor-1.1.3
+       terminal_size-0.1.17
+       termtree-0.2.4
+       textwrap-0.15.0
+       tree-sitter-0.20.9
+       typed-arena-2.0.1
+       unicode-ident-1.0.0
+       unicode-width-0.1.9
+       unicode-xid-0.2.3
+       version_check-0.9.4
+       wait-timeout-0.2.0
+       walkdir-2.3.2
+       wasi-0.11.0+wasi-snapshot-preview1
+       winapi-0.3.9
+       winapi-i686-pc-windows-gnu-0.4.0
+       winapi-util-0.1.5
+       winapi-x86_64-pc-windows-gnu-0.4.0
+       windows-sys-0.42.0
+       windows_aarch64_gnullvm-0.42.1
+       windows_aarch64_msvc-0.42.1
+       windows_i686_gnu-0.42.1
+       windows_i686_msvc-0.42.1
+       windows_x86_64_gnu-0.42.1
+       windows_x86_64_gnullvm-0.42.1
+       windows_x86_64_msvc-0.42.1
+       wu-diff-0.1.2
+"
+
+TREE_MAGIC_COMMIT="13dd6dda15c7062bd8f7dd5bc9bb5b16ce9ee613"
+declare -A GIT_CRATES=(
+       
[tree_magic_mini]="https://github.com/Wilfred/tree_magic;${TREE_MAGIC_COMMIT};tree_magic-%commit%";
+)
+
+inherit cargo
+
+DESCRIPTION="A structural diff that understands syntax."
+# Double check the homepage as the cargo_metadata crate
+# does not provide this value so instead repository is used
+HOMEPAGE="https://github.com/wilfred/difftastic";
+SRC_URI="
+       $(cargo_crate_uris ${CRATES})
+       https://github.com/Wilfred/${PN}/archive/refs/tags/${PV}.tar.gz -> 
${P}.gh.tar.gz
+"
+
+# License set may be more restrictive as OR is not respected
+# use cargo-license for a more accurate license picture
+LICENSE="Apache-2.0 Apache-2.0-with-LLVM-exceptions MIT Unlicense ZLIB"
+SLOT="0"
+KEYWORDS="~amd64"
+
+QA_FLAGS_IGNORED="usr/bin/difft"
+
+DOCS=(
+       CHANGELOG.md
+       README.md
+       manual/
+)
+
+src_prepare() {
+       rm manual/.gitignore || die
+
+       # since upstream is using the patch syntax here, the patch syntax in 
the user cargo config isn't working
+       local tree_magic_path="tree_magic_mini = { path = 
'"${WORKDIR}/tree_magic-${TREE_MAGIC_COMMIT}"' }"
+       sed -i "s@^tree_magic_mini =.*@${tree_magic_path}@" "${S}/Cargo.toml" 
|| die
+
+       default
+}
+
+src_install() {
+       cargo_src_install
+       dodoc -r "${DOCS[@]}"
+}

Reply via email to